property

  {number} zoom

property

  {import('ol/extent').Extent} extent

## Index

### Interfaces

- OfflineExtentByZoom
- OfflineLayerMetadata
- OfflineOnTileDownload
- OfflinePersistentContent
- OfflinePersistentLayer
- OfflineTile

### Type aliases

- onTileDownloadError
- onTileDownloadSuccess

### Properties

- default

## Type aliases

### onTileDownloadError

onTileDownloadError: (progress: number) => Promise

#### Type parameters

#### Type declaration

- - (progress: number): Promise

  - #### Type parameters

    #### Parameters

    - ##### progress: number

    #### Returns Promise

### onTileDownloadSuccess

onTileDownloadSuccess: (progress: number, tile: OfflineTile) => Promise

#### Type parameters

#### Type declaration

- - (progress: number, tile: OfflineTile): Promise

  - #### Type parameters

    #### Parameters

    - ##### progress: number

    - ##### tile: OfflineTile

    #### Returns Promise

## Properties

### default

default: {}

#### Type declaration

Generated using TypeDoc